import request from '@/utils/request'

// 查询科教文旅-行政处罚列表
export function listPenalty(query) {
    return request({
        url: '/crmSciEduCulturePenalty/findByPage',
        method: 'get',
        params: query
    })
}

// 查询科教文旅-行政处罚详细
export function getPenalty(id) {
    return request({
        url: '/crmSciEduCulturePenalty/' + id,
        method: 'get'
    })
}

// 新增科教文旅-行政处罚
export function addPenalty(data) {
    return request({
        url: '/crmSciEduCulturePenalty',
        method: 'post',
        data: data
    })
}

// 修改科教文旅-行政处罚
export function updatePenalty(data) {
    return request({
        url: '/crmSciEduCulturePenalty',
        method: 'put',
        data: data
    })
}

// 删除科教文旅-行政处罚
export function delPenalty(id) {
    return request({
        url: '/crmSciEduCulturePenalty/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPenaltyBatch(ids) {
    console.log(ids);
    return request.post('/crmSciEduCulturePenalty/delete',ids)
}